meson (1.12.0-1) unstable; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jussi.pakkanen@mailbox.org>  Tue, 11 Aug 2026 00:41:28 +0300

meson (1.12.0~rc3-1) experimental; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jussi.pakkanen@mailbox.org>  Tue, 04 Aug 2026 18:57:14 +0300

meson (1.12.0~rc2-1) experimental; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jussi.pakkanen@mailbox.org>  Tue, 21 Jul 2026 00:27:00 +0300

meson (1.12.0~rc1-1) experimental; urgency=medium

  * New upstream release. Closes: #1134724, #1141440, #1129857.

 -- Jussi Pakkanen <jussi.pakkanen@mailbox.org>  Tue, 07 Jul 2026 16:09:00 +0300

meson (1.11.1-2) unstable; urgency=medium

  * Enable Qt 6 tests.
  * Update maintainer email address.

 -- Jussi Pakkanen <jussi.pakkanen@mailbox.org>  Wed, 20 May 2026 19:37:45 +0300

meson (1.11.1-1) unstable; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jussi.pakkanen@mailbox.org>  Thu, 23 Apr 2026 22:26:48 +0300

meson (1.11.0-1) unstable; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jussi.pakkanen@mailbox.org>  Mon, 13 Apr 2026 17:08:10 +0300

meson (1.11.0~rc3-1) experimental; urgency=medium

  * New upstream release. Closes: #1132495.

 -- Jussi Pakkanen <jussi.pakkanen@mailbox.org>  Sun, 05 Apr 2026 21:36:28 +0300

meson (1.11.0~rc2-1) experimental; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jussi.pakkanen@mailbox.org>  Mon, 30 Mar 2026 19:04:26 +0300

meson (1.10.2-1) unstable; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jussi.pakkanen@mailbox.org>  Sun, 15 Mar 2026 15:06:01 +0200

meson (1.10.1-1) unstable; urgency=medium

  * New upstream release. Closes: #1125013, #1122479.

 -- Jussi Pakkanen <jussi.pakkanen@mailbox.org>  Sun, 18 Jan 2026 15:09:02 +0200

meson (1.10.0-1) unstable; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jussi.pakkanen@mailbox.org>  Mon, 08 Dec 2025 18:49:40 +0200

meson (1.10.0~rc2-1) experimental; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jussi.pakkanen@mailbox.org>  Mon, 01 Dec 2025 18:03:07 +0200

meson (1.10.0~rc1-1) experimental; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jussi.pakkanen@mailbox.org>  Sun, 23 Nov 2025 20:29:35 +0200

meson (1.9.1-2) unstable; urgency=medium

  * Update girepository dependency. Closes: #1118898.

 -- Jussi Pakkanen <jussi.pakkanen@mailbox.org>  Mon, 03 Nov 2025 23:07:06 +0200

meson (1.9.1-1) unstable; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jussi.pakkanen@mailbox.org>  Tue, 23 Sep 2025 13:04:49 +0300

meson (1.9.0-1) unstable; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jussi.pakkanen@mailbox.org>  Sun, 24 Aug 2025 19:26:00 +0300

meson (1.9.0~rc3-1) experimental; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jussi.pakkanen@mailbox.org>  Wed, 20 Aug 2025 00:56:59 +0300

meson (1.9.0~rc2-1) experimental; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jussi.pakkanen@mailbox.org>  Mon, 11 Aug 2025 01:58:43 +0300

meson (1.9.0~rc1-1) experimental; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jussi.pakkanen@mailbox.org>  Fri, 01 Aug 2025 23:08:29 +0300

meson (1.8.3-1) experimental; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jussi.pakkanen@mailbox.org>  Thu, 31 Jul 2025 00:23:40 +0300

meson (1.8.2-1) experimental; urgency=medium

  * New upstream release.
  * Switched primary email address.

 -- Jussi Pakkanen <jussi.pakkanen@mailbox.org>  Mon, 09 Jun 2025 22:57:37 +0300

meson (1.8.1-1) experimental; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Sat, 24 May 2025 00:51:12 +0300

meson (1.8.0-1) experimental; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Mon, 28 Apr 2025 18:37:53 +0300

meson (1.8.0~rc2-1) experimental; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Thu, 24 Apr 2025 15:18:15 +0300

meson (1.8.0~rc1-1) experimental; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Wed, 16 Apr 2025 21:49:18 +0300

meson (1.7.2-1) experimental; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Fri, 04 Apr 2025 22:42:07 +0300

meson (1.7.1-1) experimental; urgency=medium

  * New upstream release.
  * Stop using pytest-xdist temporarily as it fails.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Tue, 01 Apr 2025 23:16:18 +0300

meson (1.7.0-1) unstable; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Sun, 26 Jan 2025 20:48:17 +0200

meson (1.7.0~rc2-1) experimental; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Sun, 19 Jan 2025 21:02:25 +0200

meson (1.7.0~rc1-1) experimental; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Thu, 09 Jan 2025 16:55:56 +0200

meson (1.6.1-1) unstable; urgency=medium

  * New upstream release. Closes: #1083166, #1087919.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Mon, 16 Dec 2024 22:34:59 +0200

meson (1.6.0-1) unstable; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Sun, 20 Oct 2024 21:22:01 +0300

meson (1.6.0~rc2-1) experimental; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Sun, 13 Oct 2024 18:56:12 +0300

meson (1.6.0~rc1-1) experimental; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Mon, 07 Oct 2024 00:26:53 +0300

meson (1.5.2-2) unstable; urgency=medium

  * Remove the now unnecessary dep on pkg-resources. Closes: #1083481.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Fri, 04 Oct 2024 23:43:01 +0300

meson (1.5.2-1) unstable; urgency=medium

  * New upstream release. Closes: #1080463.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Fri, 20 Sep 2024 21:35:24 +0300

meson (1.5.1-2) unstable; urgency=medium

  * Remove Mono build deps. Closes: #1051691.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Fri, 30 Aug 2024 12:54:34 +0300

meson (1.5.1-1) unstable; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Sat, 27 Jul 2024 14:24:55 +0300

meson (1.5.0-2) unstable; urgency=medium

  * Update policy. Closes: #1076108.
  * Update cython dep. Closes: #1076515

 -- Jussi Pakkanen <jpakkane@gmail.com>  Wed, 17 Jul 2024 19:22:35 +0300

meson (1.5.0-1) unstable; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Wed, 10 Jul 2024 20:26:20 +0300

meson (1.5.0~rc3-1) experimental; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Mon, 08 Jul 2024 20:54:30 +0300

meson (1.5.0~rc2-1) experimental; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Mon, 01 Jul 2024 18:39:47 +0300

meson (1.5.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Use Pytest-xdist to run unit tests in parallel.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Mon, 24 Jun 2024 19:48:03 +0300

meson (1.4.1-1) unstable; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Thu, 30 May 2024 19:13:45 +0300

meson (1.4.0-2) unstable; urgency=medium

  * Add temporary envvar to use the new crossgen tool.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Mon, 22 Apr 2024 22:45:57 +0300

meson (1.4.0-1) unstable; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Tue, 12 Mar 2024 19:57:49 +0200

meson (1.4.0~rc2-1) experimental; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Sun, 03 Mar 2024 23:34:56 +0200

meson (1.4.0~rc1-1) experimental; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Mon, 26 Feb 2024 23:31:57 +0200

meson (1.3.2-1) unstable; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Tue, 13 Feb 2024 21:38:02 +0200

meson (1.3.1-1) unstable; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Tue, 26 Dec 2023 19:31:01 +0200

meson (1.3.0-2) unstable; urgency=medium

  * Switch to cython3-legacy for now. Closes: #1056818.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Mon, 11 Dec 2023 21:52:10 +0200

meson (1.3.0-1) unstable; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Sun, 19 Nov 2023 21:58:49 +0200

meson (1.3.0~rc3-1) experimental; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Tue, 14 Nov 2023 00:38:51 +0200

meson (1.2.3-1) unstable; urgency=medium

  * Upload point release to unstable. Closes: #1055497.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Tue, 07 Nov 2023 19:11:56 +0200

meson (1.3.0~rc2-1) experimental; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Mon, 06 Nov 2023 00:50:44 +0200

meson (1.3.0~rc1-1) experimental; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Fri, 27 Oct 2023 21:17:10 +0300

meson (1.2.1-3) unstable; urgency=medium

  * Remove build dep to GTK 2 things. Closes: #1049376.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Tue, 22 Aug 2023 18:00:48 +0300

meson (1.2.1-2) unstable; urgency=medium

  * Add debian/clean. Closes: #1045515.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Mon, 14 Aug 2023 19:58:17 +0300

meson (1.2.1-1) unstable; urgency=medium

  * New upstream release. Closes: #1041454.
  * Remove dep on gtk-sharp. Closes: #1041653.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Tue, 08 Aug 2023 02:05:26 +0300

meson (1.2.0-1) unstable; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Sun, 16 Jul 2023 23:59:13 +0300

meson (1.2.0~rc3-1) experimental; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Tue, 11 Jul 2023 22:09:18 +0300

meson (1.2.0~rc2-1) experimental; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Wed, 05 Jul 2023 23:56:53 +0300

meson (1.2.0~rc1-1) experimental; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Wed, 28 Jun 2023 17:53:10 +0300

meson (1.1.1-2) unstable; urgency=medium

  * Reupload to unstable.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Sun, 18 Jun 2023 19:27:41 +0300

meson (1.1.1-1) experimental; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Thu, 25 May 2023 21:38:39 +0300

meson (1.1.0-1) experimental; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Mon, 10 Apr 2023 18:41:34 +0300

meson (1.1.0~rc2-1) experimental; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Sun, 02 Apr 2023 22:03:53 +0300

meson (1.0.1-6) experimental; urgency=medium

  * CPU detection fix from Helmut Grohne. Closes: #1033579.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Tue, 28 Mar 2023 00:18:29 +0300

meson (1.0.1-5) unstable; urgency=medium

  * Fix incorrect usage of fgetc/fputc. Closes: #1032168.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Sat, 11 Mar 2023 23:06:44 +0200

meson (1.0.1-4) unstable; urgency=medium

  * Reupload to unstable.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Tue, 28 Feb 2023 20:22:54 +0200

meson (1.0.1-3) experimental; urgency=medium

  * Remove env2mfile test patch.
  * Fix ppcle64 cpu detection. Closes: #1019413.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Mon, 27 Feb 2023 02:17:42 +0200

meson (1.0.1-2) experimental; urgency=medium

  * Testing fixes for env2mfile in package builds.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Sat, 25 Feb 2023 03:21:17 +0200

meson (1.0.1-1) unstable; urgency=medium

  * New upstream release. Closes: #1029250.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Fri, 24 Feb 2023 00:09:22 +0200

meson (1.0.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Patch: Correctly select the Debian python scheme with modern distutils.
    Closes: #1026312.

 -- Stefano Rivera <stefanor@debian.org>  Sat, 24 Dec 2022 11:22:03 -0400

meson (1.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Fri, 23 Dec 2022 18:24:54 +0200

meson (1.0.0~rc2-1) experimental; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Sat, 17 Dec 2022 00:28:50 +0200

meson (1.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Sat, 10 Dec 2022 19:22:43 +0200

meson (0.64.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Revert debcrossgen to internal implementation as it does not work at all.

 -- Helmut Grohne <helmut@subdivi.de>  Wed, 23 Nov 2022 07:03:27 +0100

meson (0.64.1-1) unstable; urgency=medium

  * New upstream release.
  * Made debcrossgen use meson env2mfile.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Tue, 22 Nov 2022 23:04:28 +0200

meson (0.64.0-1) unstable; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Sun, 06 Nov 2022 16:17:12 +0200

meson (0.64.0~rc2-1) experimental; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Tue, 01 Nov 2022 21:02:35 +0200

meson (0.64.0~rc1-1) experimental; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Tue, 25 Oct 2022 19:37:09 +0300

meson (0.63.3-1) unstable; urgency=medium

  * New upstream release. Closes: #1020567.
  * Update wxwisgets dependency. Closes: #1019803.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Thu, 06 Oct 2022 00:24:00 +0300

meson (0.63.2-1) unstable; urgency=medium

  * New upstream release. Closes: #1017087.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Sat, 03 Sep 2022 19:33:44 +0300

meson (0.63.1-1) unstable; urgency=medium

  * New upstream release. Closes: #1014417, #1015132.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Sat, 13 Aug 2022 12:07:43 +0300

meson (0.63.0-1) unstable; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Sun, 03 Jul 2022 17:46:02 +0300

meson (0.63.0~rc2-1) experimental; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Mon, 27 Jun 2022 18:15:21 +0300

meson (0.63.0~rc1-1) experimental; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Sun, 19 Jun 2022 22:25:40 +0300

meson (0.62.2-1) unstable; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Thu, 02 Jun 2022 19:30:27 +0300

meson (0.62.1-1) unstable; urgency=medium

  * New upstream release. Closes: #1008189, #1009097, #1008382.
  * Add dep to setuptools as distutils has been removed.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Sat, 23 Apr 2022 12:56:37 +0300

meson (0.62.0-1) unstable; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Mon, 21 Mar 2022 23:25:44 +0200

meson (0.62.0~rc2-1) experimental; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Tue, 15 Mar 2022 11:33:08 +0200

meson (0.62.0~rc1-1) experimental; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Thu, 10 Mar 2022 11:43:53 +0200

meson (0.61.2-1) unstable; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Mon, 14 Feb 2022 21:27:54 +0200

meson (0.61.1-1) unstable; urgency=medium

  * New upstream release. Closes #1003535.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Mon, 17 Jan 2022 12:52:58 +0200

meson (0.61.0-1) unstable; urgency=medium

  * New upstream release.
  * Add clang-format to build dependencies.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Mon, 10 Jan 2022 18:32:10 +0200

meson (0.61.0~rc1-1) experimental; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Sun, 02 Jan 2022 22:24:46 +0200

meson (0.60.3-1) unstable; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Wed, 22 Dec 2021 19:56:29 +0200

meson (0.60.2-1) unstable; urgency=medium

  * New upstream release.
  * Update copyright info. Closes: #1000328.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Thu, 25 Nov 2021 23:26:26 +0200

meson (0.60.1-1) unstable; urgency=medium

  * New upstream release. Closes: #998124.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Tue, 02 Nov 2021 22:55:38 +0200

meson (0.60.0-1) unstable; urgency=medium

  * New upstream release. Closes: #997121.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Sun, 24 Oct 2021 18:15:26 +0300

meson (0.60.0~rc1-1) experimental; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Mon, 11 Oct 2021 19:52:11 +0300

meson (0.59.2-1) unstable; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Tue, 28 Sep 2021 20:15:15 +0300

meson (0.59.1-2) unstable; urgency=medium

  * Add dep to python3-distutils. Closes: #994483.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Sat, 18 Sep 2021 14:33:52 +0300

meson (0.59.1-1) unstable; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Wed, 18 Aug 2021 14:26:41 +0300

meson (0.59.0-1) experimental; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Sun, 18 Jul 2021 13:04:17 +0300

meson (0.59.0~rc2-1) experimental; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Mon, 12 Jul 2021 01:07:24 +0300

meson (0.59.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Cross test fix from Helmut Grohne. Closes: #989823.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Mon, 05 Jul 2021 22:12:20 +0300

meson (0.58.1-1) experimental; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Mon, 07 Jun 2021 20:36:31 +0300

meson (0.58.0-1) experimental; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Sun, 02 May 2021 12:43:46 +0300

meson (0.58.0~rc1-1) experimental; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Tue, 27 Apr 2021 09:53:20 +0300

meson (0.57.2-1) experimental; urgency=medium

  * New upstream release

 -- Jussi Pakkanen <jpakkane@gmail.com>  Sat, 10 Apr 2021 12:30:11 +0300

meson (0.57.1-1) experimental; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Sat, 20 Feb 2021 15:22:59 +0200

meson (0.57.0+really0.56.2-0.1) unstable; urgency=medium

  * Revert to 0.56.2 (Closes: #982865)
    0.57.0 no longer honors CPPFLAGS and therefore silently drops
    -D_FORTIFY_SOURCE=2 during package builds.

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 15 Feb 2021 21:17:44 +0100

meson (0.57.0-1) unstable; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Sun, 14 Feb 2021 21:29:36 +0200

meson (0.57.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Add recommends to dpkg-dev. Closes: #977051.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Tue, 09 Feb 2021 01:21:53 +0200

meson (0.56.2-1) unstable; urgency=medium

  * New upstream release
  * Updated standards version.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Sun, 10 Jan 2021 14:51:13 +0200

meson (0.56.1-1) unstable; urgency=medium

  * New upstream release.
  * Add cups-config to debcrossgen. Closes: #977633.
  * Remove aarch64 patch as the underlying issue has been fixed.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Wed, 06 Jan 2021 12:43:02 +0200

meson (0.56.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Skip unimplmented test on arm64. Closes: #975411.

 -- Matthias Klose <doko@debian.org>  Sat, 28 Nov 2020 15:30:07 +0100

meson (0.56.0-1) unstable; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Fri, 30 Oct 2020 10:28:21 +0200

meson (0.56.0~rc2-1) experimental; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Mon, 26 Oct 2020 20:20:13 +0200

meson (0.56.0~rc1-1) experimental; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Mon, 19 Oct 2020 00:35:48 +0300

meson (0.55.3-1) unstable; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Fri, 11 Sep 2020 18:38:53 +0300

meson (0.55.2-1) unstable; urgency=medium

  * New upstream release.
  * Install Bash completion files. Closes: #968462.
  * Remove TAP test distro patch that is now upstream.
  * Do not install openmpi packages as the tests don't run under pbuilder.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Thu, 10 Sep 2020 19:44:56 +0300

meson (0.55.1-1) unstable; urgency=medium

  * New upstream release.
  * Remove patches no longer needed in 0.55.1.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Fri, 21 Aug 2020 00:08:05 +0300

meson (0.55.0-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Don't consider skipped tests as failures. Closes: #966923
  * Fix test with setuptools 49. Closes: #968704

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 20 Aug 2020 18:10:34 +0100

meson (0.55.0-2) unstable; urgency=medium

  * Fix crossbuild test from Gianfranco Costamagna. Closes: #963546
  * Add dep to Python pkg resources from Kunal Mehta. Closes: #965033.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Thu, 16 Jul 2020 22:15:06 +0300

meson (0.55.0-1) unstable; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Sun, 12 Jul 2020 17:29:15 +0300

meson (0.55.0~rc2-1) experimental; urgency=medium

  * New upstream release.
  * Fix test dependency setup to work on all arches. Closes: #963546.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Wed, 08 Jul 2020 10:51:14 +0300

meson (0.54.3-1) unstable; urgency=medium

  * New upstream release. Closes: #960877.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Mon, 15 Jun 2020 19:48:23 +0300

meson (0.54.2-1) unstable; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Fri, 15 May 2020 10:26:05 +0300

meson (0.54.1-2) unstable; urgency=medium

  * Add libdir regression fix. Closes: #959708.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Wed, 06 May 2020 23:25:28 +0300

meson (0.54.1-1) unstable; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Sun, 26 Apr 2020 12:10:21 +0300

meson (0.54.0-1) unstable; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Sun, 29 Mar 2020 20:03:27 +0300

meson (0.54.0~rc1-1) experimental; urgency=medium

  * New upstream rc release.
  * Updated debcrossgen to not write to stderr. Closes: #952610.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Tue, 24 Mar 2020 11:32:25 +0200

meson (0.53.2-2) unstable; urgency=medium

  * Fix autopkgtest dependencies. Closes: #952610

 -- Jussi Pakkanen <jpakkane@gmail.com>  Sat, 29 Feb 2020 00:20:11 +0200

meson (0.53.2-1) unstable; urgency=medium

  * New upstream release. Closes: #950020, #951487

 -- Jussi Pakkanen <jpakkane@gmail.com>  Tue, 25 Feb 2020 18:02:37 +0200

meson (0.53.1-1) unstable; urgency=medium

  * New upstream release. Closes: #948611.
  * Add cross build autopkgtest from Helmut Grohne. Closes: #948608

 -- Jussi Pakkanen <jpakkane@gmail.com>  Fri, 24 Jan 2020 00:35:16 +0200

meson (0.53.0-1) unstable; urgency=medium

  * New upstream release.
  * Disable tests that check home directory because it does
    not seem to work under pbuilder.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Tue, 07 Jan 2020 22:13:25 +0200

meson (0.52.1-1) unstable; urgency=medium

  * New upstream release. Closes: #945277.
  * Packaging fixes from Lasse Kantola. Closes: #870314.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Fri, 29 Nov 2019 15:52:29 +0200

meson (0.52.0-2) unstable; urgency=medium

  * Update wxwidgets build dependency. Closes: #943437.
  * Disable FPGA tests temporarily to work around Yosys upstream
    bug #1467.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Tue, 29 Oct 2019 23:48:25 +0200

meson (0.52.0-1) unstable; urgency=medium

  * New upstream release.
  * Removed python2 build dep to prepare for Python 2 removal.
    Added boost-python explicitly to build-deps.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Sun, 06 Oct 2019 20:05:53 +0300

meson (0.51.2-1) unstable; urgency=medium

  * New upstream release.
  * Updated standards and compat versions.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Mon, 26 Aug 2019 19:39:22 +0300

meson (0.51.1-1) unstable; urgency=medium

  * New upstream release.
  * Fix debcrossgen on i386.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Tue, 09 Jul 2019 19:40:49 +0300

meson (0.51.0-1) experimental; urgency=medium

  * New upstream release.
  * Add build-dep to CMake needed by new tests.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Sun, 16 Jun 2019 22:04:22 +0300

meson (0.50.1-1) experimental; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Wed, 17 Apr 2019 01:12:02 +0300

meson (0.50.0-1) experimental; urgency=medium

  * New upstream release.
  * Install zsh completion files. Closes: #920154.
  * Add python2-dev to build deps as needed by new tests.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Sun, 10 Mar 2019 19:27:10 +0200

meson (0.49.2-1) unstable; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Mon, 04 Feb 2019 21:20:09 +0200

meson (0.49.1-1) unstable; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Wed, 23 Jan 2019 18:49:53 +0200

meson (0.49.0-2) unstable; urgency=medium

  * Debcrossgen CPU fix from Helmut Grohne. Closes: #919065.
  * Add system compiler flags to cross files. Closes: #919117.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Sun, 13 Jan 2019 00:59:08 +0200

meson (0.49.0-1) unstable; urgency=medium

  * New upstream release. Closes: #894774, #914543, #913263.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Sun, 09 Dec 2018 19:56:53 +0200

meson (0.48.2-1) unstable; urgency=medium

  * New upstream release. Closes: #911879, #911697.
  * Backport split-merge patch from trunk. Closes: #913320.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Fri, 15 Nov 2018 21:30:25 +0200

meson (0.48.1-1) unstable; urgency=medium

  * New upstream release. Closes: #909851, #910443.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Wed, 17 Oct 2018 18:57:16 +0300

meson (0.48.0-2) unstable; urgency=medium

  * Add dependency to python3-pkg-resources temporarily. Closes: #909440.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Mon, 24 Sep 2018 18:51:11 +0300

meson (0.48.0-1) unstable; urgency=medium

  * New upstream release. Closes: #907324.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Sat, 22 Sep 2018 23:13:11 +0300

meson (0.47.2-1) unstable; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Sat, 25 Aug 2018 11:15:05 +0300

meson (0.47.1-2) unstable; urgency=medium

  * Fix debcrossgen install properly. Closes: #903279.
  * Re-enable Valgrind tests.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Fri, 3 Aug 2018 22:56:19 +0300

meson (0.47.1-1) unstable; urgency=medium

  * New upstream release. Closes: #903414.
  * Install depfixer again, it got lost accidentally. Closes: #903279.
  * Disable all Valgrind tests because of #903404.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Wed, 11 Jul 2018 00:05:14 +0300

meson (0.47.0-1) unstable; urgency=medium

  * New upstream release.
  * Switch to using standard Python install because trying to keep the
    library private is just too damn hard and annoying.
  * Updated Google test dependencies. Closes: #897174.
  * Added build deps to test new functionality.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Mon, 02 Jul 2018 20:54:05 +0300

meson (0.46.1-1) unstable; urgency=medium

  * New upstream release. Closes: #896876.
  * Use an UTF-8 locale because ASCII breaks tests.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Wed, 16 May 2018 19:28:58 +0300

meson (0.46.0-1) unstable; urgency=medium

  * New upstream release. Closes: #892515.
  * Updated debcrossgen.
  * Old command names now only print errors. Closes: #886882.
  * Marked pytho3 dependency with :any as recommended by multiarch hinter.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Sun, 22 Apr 2018 19:42:22 +0300

meson (0.45.1-2) unstable; urgency=medium

  * Added cross fix to enable RISC-V bootstrap. Closes: #894505.
  * Added patch to fix autopkgtests. Closes: #894594.
  * Fixed Java detection logic and dependency. Closes: #894200.
  * Fixed cross dependencies. Closes: #894199.
  * Updated debcrossgen tool. Closes: #893502.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Mon, 02 Apr 2018 12:54:53 +0300

meson (0.45.1-1) unstable; urgency=medium

  * New upstream release. Closes: #892956.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Thu, 22 Mar 2018 00:04:38 +0200

meson (0.45.0-1) unstable; urgency=medium

  * New upstream release.
  * Updated debhelper requirement.
  * New build deps for FPGA tests.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Sun, 04 Mar 2018 20:27:57 +0200

meson (0.44.1-1) unstable; urgency=medium

  * New upstream version. Closes: #884627.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Wed, 21 Feb 2018 00:02:07 +0200

meson (0.44.0-3) unstable; urgency=medium

  * Forward autopkgtest stderr to stdout because the test executor
    interprets any text in stderr as a test failure.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Sat, 23 Dec 2017 15:42:17 +0200

meson (0.44.0-2) unstable; urgency=medium

  * Add meson package as a dependency of all autopkgtests.
  * Add build deps to enable a few optional tests.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Sun, 17 Dec 2017 13:49:31 +0200

meson (0.44.0-1) unstable; urgency=medium

  * New upstream release.
  * Do not run D library tests, because GDC has problems
    with them. Closes: #879976.
  * Fixed dependency declarations so a nocheck build
    no longer requires Rust. Closes: #879704.
  * Converted thorough autopkgtest to run the full test
    suite including all dependency tests.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Sun, 10 Dec 2017 15:41:49 +0200

meson (0.43.0-1) unstable; urgency=medium

  * New upstream release.
  * Updated debcrossgen script. Closes: #875703.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Sun, 08 Oct 2017 22:36:43 +0300

meson (0.42.1-1) unstable; urgency=medium

  * New upstream version.
  * Marked the package multi-arch foreign
  * Ship non-public helper script to generate cross files
    from architecture info to aid in cross builds. Closes: #859177.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Tue, 12 Sep 2017 19:37:59 +0300

meson (0.42.0-2) unstable; urgency=medium

  * Fix autopkgtests to use the meson command rather than mesonconf,
    mesonintrospect et al, because the latter write a warning to
    stderr which causes autopkg to mark the test as failed.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Thu, 24 Aug 2017 01:08:48 +0300

meson (0.42.0-1) unstable; urgency=medium

  * New upstream release.
  * Disabled openmpi test because the generated binaries do not run
    in pbuilder for an unknown reason.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Tue, 15 Aug 2017 00:45:25 +0300

meson (0.41.2-2) unstable; urgency=medium

  * Cherry picked asm tagging patch to fix Ubuntu CI breakage.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Tue, 25 Jul 2017 18:59:58 +0300

meson (0.41.2-1) unstable; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Wed, 19 Jul 2017 12:41:18 +0300

meson (0.41.1-1) unstable; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Mon, 19 Jun 2017 23:48:01 +0300

meson (0.41.0-1) unstable; urgency=medium

  * New upstream release.
  * Added build dep to sdl2 and llvm for new tests.
  * Added a new, more exhaustive Debian test.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Mon, 12 Jun 2017 21:49:13 +0300

meson (0.40.1-1) unstable; urgency=medium

  * New upstream release.
  * Backport helper fix from Martin Pitt. Closes: #861055.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Fri, 28 Apr 2017 21:13:15 +0300

meson (0.40.0-1) unstable; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Sun, 23 Apr 2017 02:01:34 +0300

meson (0.39.1-1) unstable; urgency=medium

  * New upstream release

 -- Jussi Pakkanen <jpakkane@gmail.com>  Wed, 15 Mar 2017 22:58:47 +0200

meson (0.39.0-1) unstable; urgency=medium

  * New upstream release
  * Added build-dep to Valgrind which some tests use if available

 -- Jussi Pakkanen <jpakkane@gmail.com>  Sun, 05 Mar 2017 23:10:04 +0200

meson (0.38.1-1) unstable; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Tue, 07 Feb 2017 22:03:30 +0200

meson (0.38.0-1) unstable; urgency=medium

  * New upstream release.
  * Versioned Ninja dependency. Closes: #850078.
  * Install mesontest properly. Closes: #851601.
  * Build-dep on arm cross compiler to run cross build tests.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Sun, 29 Jan 2017 21:17:38 +0200

meson (0.37.1-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Tue, 20 Dec 2016 22:09:22 +0200

meson (0.37.0-1) unstable; urgency=medium

  * New upstream release.
  * Added build dep to libgtk-3-dev needed by new tests.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Sun, 18 Dec 2016 21:17:38 +0200

meson (0.36.0-1) unstable; urgency=medium

  * New upstream release. Closes: #841846.
  * Added build dep to itstool, which is needed by new tests.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Mon, 14 Nov 2016 20:12:41 +0200

meson (0.35.1-1) unstable; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Mon, 17 Oct 2016 21:02:42 +0300

meson (0.35.0-1) unstable; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Mon, 03 Oct 2016 22:53:31 +0300

meson (0.34.0-1) unstable; urgency=medium

  * New upstream release.
  * Added build dep to D compiler to run new tests.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Mon, 05 Sep 2016 22:33:07 +0300

meson (0.33.0-1) unstable; urgency=medium

  * New upstream release

 -- Jussi Pakkanen <jpakkane@gmail.com>  Sat, 30 Jul 2016 22:36:07 +0300

meson (0.32.0-1) unstable; urgency=medium

  * New upstream release.
  * Removed meson-gui package because upstream removed it.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Sun, 05 Jun 2016 20:51:37 +0300

meson (0.31.0-1) unstable; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Wed, 13 Apr 2016 19:39:02 +0300

meson (0.30.0-1) unstable; urgency=medium

  * New upstream release. Closes: #815253.
  * New build deps to test building of Python3 extension modules.
  * Add Lintian override for build-depping on python-dev
    even though the package is arch-all.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Sat, 12 Mar 2016 19:04:33 +0200

meson (0.29.0-1) unstable; urgency=medium

  * New upstream release.
  * Upstream moved to distutils so rewrote packaging.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Sun, 24 Jan 2016 18:57:59 +0200

meson (0.28.0-2) unstable; urgency=medium

  * Change Rust dependency so the package builds
    on Debian and Ubuntu without changes.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Wed, 06 Jan 2016 15:23:56 +0200

meson (0.28.0-1) unstable; urgency=medium

  * New upstream release.
  * Only build-dep on Rust on platforms that provide it.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Tue, 29 Dec 2015 00:01:46 +0200

meson (0.27.0-1) unstable; urgency=medium

  * New upstream release.
  * Build-dep on rustc to run Rust tests.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Wed, 25 Nov 2015 19:58:44 +0200

meson (0.26.0-1) unstable; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Sat, 12 Sep 2015 22:31:28 +0300

meson (0.25.0-1) unstable; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Sun, 12 Jul 2015 20:52:27 +0300

meson (0.24.0-1) unstable; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Sat, 23 May 2015 21:31:15 +0300

meson (0.23.0-2) unstable; urgency=medium

  * Reupload to unstable.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Sun, 26 Apr 2015 13:43:52 +0300

meson (0.23.0-1) experimental; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Tue, 31 Mar 2015 01:02:33 +0300

meson (0.22.0-1) experimental; urgency=medium

  * New upstream release
  * Use QT_SELECT instead of build-depending on
    qt5-default to fix Lintian error

 -- Jussi Pakkanen <jpakkane@gmail.com>  Mon, 19 Jan 2015 21:49:17 +0200

meson (0.21.0-1) unstable; urgency=medium

  * New upstream release.
  * Added autopkgtest for Clang

 -- Jussi Pakkanen <jpakkane@gmail.com>  Fri, 24 Oct 2014 05:01:08 +0300

meson (0.20.0-1) unstable; urgency=medium

  * New upstream version
  * Added build-deps to Mono, Flex and Bison as
    required by new unit tests

 -- Jussi Pakkanen <jpakkane@gmail.com>  Sat, 13 Sep 2014 00:46:56 +0300

meson (0.19.0-1) unstable; urgency=medium

  * New upstream release.
  * Meson now supports Fortran compilation,
    so build-depend on gfortran to test that it's working.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Mon, 11 Aug 2014 00:24:16 +0300

meson (0.18.0-1) unstable; urgency=medium

  * New upstream release.
  * Made compilation and test output more verbose.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Mon, 14 Jul 2014 18:26:28 +0300

meson (0.17.0-1) unstable; urgency=medium

  * Initial release. Closes: #712605, #712610

 -- Jussi Pakkanen <jpakkane@gmail.com>  Wed, 04 Jun 2014 22:33:44 +0300
